package ru.yandex.direct.api.v5.entity.ads;

import ru.yandex.direct.i18n.I18NBundle;
import ru.yandex.direct.i18n.Translatable;
import ru.yandex.direct.i18n.bundle.MessageFormatStub;
import ru.yandex.direct.i18n.bundle.TranslationBundle;

public interface StatusClarificationTranslations extends TranslationBundle {

    StatusClarificationTranslations INSTANCE = I18NBundle.implement(StatusClarificationTranslations.class);

    @MessageFormatStub("Архивно.")
    Translatable adArchived();

    @MessageFormatStub("Черновик.")
    Translatable adDraft();

    @MessageFormatStub("Остановлено.")
    Translatable adStopped();

    @MessageFormatStub("Остановлено мониторингом доступности сайтов.")
    Translatable adStoppedBySiteMonitoring();

    @MessageFormatStub("Идут показы.")
    Translatable adRunning();

    @MessageFormatStub("Идут показы предыдущей версии объявления.")
    Translatable previousVersionOfAdRunning();

    @MessageFormatStub("Кампания остановлена.")
    Translatable campaignStopped();

    @MessageFormatStub("Ожидает модерации.")
    Translatable adAwaitingModeration();

    @MessageFormatStub("Предварительно принято на модерации.")
    Translatable adPreacceptedAtModeration();

    @MessageFormatStub("Принято на модерации.")
    Translatable adAccepted();

    @MessageFormatStub("Отклонено на модерации.")
    Translatable adRejected();

    @MessageFormatStub("Черновик.")
    Translatable relatedObjectIsDraft();

    @MessageFormatStub("Изображение ожидает модерации.")
    Translatable imageAwaitingModeration();

    @MessageFormatStub("Изображение принято на модерации.")
    Translatable imageAcceptedAtModeration();

    @MessageFormatStub("Изображение отклонено на модерации.")
    Translatable imageRejectedAtModeration();

    @MessageFormatStub("Контактная информация ожидает модерации.")
    Translatable contactInfoAwaitingModeration();

    @MessageFormatStub("Контактная информация принята на модерации.")
    Translatable contactInfoAcceptedAtModeration();

    @MessageFormatStub("Контактная информация отклонена на модерации.")
    Translatable contactInfoRejectedAtModeration();

    @MessageFormatStub("Дополнительные ссылки ожидают модерации.")
    Translatable sitelinksAwaitingModeration();

    @MessageFormatStub("Дополнительные ссылки приняты на модерации.")
    Translatable sitelinksAcceptedAtModeration();

    @MessageFormatStub("Дополнительные ссылки отклонены на модерации.")
    Translatable sitelinksRejectedAtModeration();

    @MessageFormatStub("Отображаемая ссылка ожидает модерации.")
    Translatable displayLinkAwaitingModeration();

    @MessageFormatStub("Отображаемая ссылка принята на модерации.")
    Translatable displayLinkAcceptedAtModeration();

    @MessageFormatStub("Отображаемая ссылка отклонена на модерации.")
    Translatable displayLinkRejectedAtModeration();

    @MessageFormatStub("Турбо-страница отклонена на модерации.")
    Translatable turboLandingRejectedAtModeration();

    @MessageFormatStub("Кнопка отклонена на модерации.")
    Translatable buttonExtensionRejectedAtModeration();

    @MessageFormatStub("Кнопка принята на модерации.")
    Translatable buttonExtensionAcceptedAtModeration();

    @MessageFormatStub("Кнопка ожидает модерации.")
    Translatable buttonExtensionAwaitingModeration();

    @MessageFormatStub("Логотип отклонен на модерации.")
    Translatable logoExtensionRejectedAtModeration();

    @MessageFormatStub("Логотип принят на модерации.")
    Translatable logoExtensionAcceptedAtModeration();

    @MessageFormatStub("Логотип ожидает модерации.")
    Translatable logoExtensionAwaitingModeration();

}
